summaryrefslogtreecommitdiff
path: root/meta-google/recipes-extended
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2021-03-06 11:47:39 +0300
committerWilliam A. Kennington III <wak@google.com>2021-03-08 22:28:01 +0300
commit85b11fb3287982f05e3ce79bc4b94bb26010b8a2 (patch)
tree97e1cf3006f7036c069addfc34f73834344f7b55 /meta-google/recipes-extended
parent49e7e4a594a53d491470b50c1758c61ea653d60d (diff)
downloadopenbmc-85b11fb3287982f05e3ce79bc4b94bb26010b8a2.tar.xz
meta-google: mstpd: Fix broken file
/sbin/bridge-stp was incorrectly migrated this repo as a duplicate copy of the recipe. Change-Id: I3efded2aaff614c1cdfd3f7d74b8dfcade378114 Signed-off-by: William A. Kennington III <wak@google.com>
Diffstat (limited to 'meta-google/recipes-extended')
-rw-r--r--meta-google/recipes-extended/networking/files/bridge-stp49
1 files changed, 18 insertions, 31 deletions
diff --git a/meta-google/recipes-extended/networking/files/bridge-stp b/meta-google/recipes-extended/networking/files/bridge-stp
index c874f4420..59c5786b7 100644
--- a/meta-google/recipes-extended/networking/files/bridge-stp
+++ b/meta-google/recipes-extended/networking/files/bridge-stp
@@ -1,31 +1,18 @@
-PR = "r1"
-PV = "0.1+git${SRCPV}"
-LICENSE = "GPLv2"
-LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"
-
-SRC_URI = "git://github.com/yrutschle/sslh"
-SRCREV = "de8e5725c27ba6941f47254e6fcb485e94f2de35"
-S = "${WORKDIR}/git"
-
-inherit perlnative
-
-DEPENDS += "conf2struct-native"
-DEPENDS += "libbsd"
-DEPENDS += "libcap"
-DEPENDS += "libconfig"
-DEPENDS += "systemd"
-DEPENDS += "pcre"
-
-EXTRA_OEMAKE += "DESTDIR=${D}"
-EXTRA_OEMAKE += "PREFIX=${prefix}"
-EXTRA_OEMAKE += "USELIBCAP=1"
-EXTRA_OEMAKE += "USELIBBSD=1"
-EXTRA_OEMAKE += "USESYSTEMD=1"
-
-do_compile() {
- oe_runmake
-}
-
-do_install() {
- oe_runmake install
-}
+#!/bin/sh
+if [ "$#" -lt 2 ]; then
+ echo "Missing args: bridge-stp <bridge> <start|stop>" >&2
+ exit 1
+fi
+case "$2" in
+ start)
+ /usr/sbin/mstpctl addbridge "$1"
+ exit
+ ;;
+ stop)
+ /usr/sbin/mstpctl delbridge "$1"
+ exit
+ ;;
+ *)
+ echo "Invalid operation: $2" >&2
+ exit 1
+esac